import { declare } from '@babel/helper-plugin-utils';
import { createClassFeaturePlugin, FEATURES } from '@babel/helper-create-class-features-plugin';

var index = declare((api, options) => {
  api.assertVersion("8.0.0-alpha.6");
  return createClassFeaturePlugin({
    name: "transform-class-properties",
    api,
    feature: FEATURES.fields,
    loose: options.loose,
    manipulateOptions(opts, parserOpts) {
      parserOpts.plugins.push("classProperties", "classPrivateProperties");
    }
  });
});

export { index as default };
//# sourceMappingURL=index.js.map
